function ausg=modenmat(Lx, Ly, Lz, ax0_, axL_, ay0_, ayL_, az0_, azL_, kx, ky, kz)
% erstellt eine Matrix mit den Frequenzen der Raumresonanzen, den
% Ordnungszahlen der Moden und der Dmpfung der Resonanz 
% bis zum Modus kx,ky,kz
N=kx*ky*kz; %Anzahl der Moden 
zaehl=0;
resonanzen=zeros(5,N); %in der ersten bis dritten Zeile steht die Ordnungszahl des Modus, 
% in der vierten Zeile die Frequenz, in der fnften
% die Dmpfung
Lx; Ly; Lz;
global fschroeder
for l=0:kx
    for m=0:ky
        for n=0:kz
            if l+m+n>0
                fres=fxyz(Lx,Ly,Lz,l,m,n);
                if fres<2*fschroeder
                    zaehl=zaehl+1;
                    resonanzen(1,zaehl)=l;
                    resonanzen(2,zaehl)=m;
                    resonanzen(3,zaehl)=n;
                    resonanzen(4,zaehl)=fres;
                    resonanzen(5,zaehl)=deltaxyz(l,m,n,ax0_,axL_,ay0_,ayL_,az0_,azL_,Lx,Ly,Lz,fres);
                 end
            end
        end
    end
end
frequenzen=resonanzen(4,:);
daempfung=resonanzen(5,:);
modus=resonanzen(1,:)+resonanzen(2,:)+resonanzen(3,:);
figure
stem(frequenzen(2:end),daempfung(2:end))
xlabel('f [Hz]'); ylabel('Dmpfung [1/s]')
ausg=resonanzen;