function raumplot(Lx,Ly,Lz,xs,ys,zs,xe,ye,ze)
%3D-Darstellung eines Schuhkartons
%Umrechnen der Angaben von xs...ze von % nach m:
xs=Lx/100*xs;
ys=Ly/100*ys;
zs=Lz/100*zs;
xe=Lx/100*xe;
ye=Ly/100*ye;
ze=Lz/100*ze;
%Raumpunkte
vertex_raum=[Lx/2 0 0; Lx/2 Ly 0; -Lx/2 Ly 0; -Lx/2 0 0; Lx/2 0 Lz; Lx/2 Ly Lz; -Lx/2 Ly Lz; -Lx/2 0 Lz];
%Raumflchen (fr alle)
face_matrix=[4 3 2 1; 1 5 8 4; 1 2 6 5; 2 3 7 6; 3 4 8 7; 5 6 7 8];
Lmax=max([Lx Ly Lz]);
ds=Lmax/100;%Kantenlnge Empfnger/Sender
%Punkte Empfnger/Sender
vertex_source=[ds/2 -ds/2 -ds/2; ds/2 ds/2 -ds/2; -ds/2 ds/2 -ds/2; -ds/2 -ds/2 ds/2; ds/2 -ds/2 ds/2; ds/2 ds/2 ds/2; -ds/2 ds/2 ds/2; -ds/2 -ds/2 ds/2];
%Sender an richtige Stelle schieben
vertex_verschiebsen=[xs-Lx/2 ys zs];
vertex_sender=[vertex_source(:,1)+vertex_verschiebsen(1), vertex_source(:,2)+vertex_verschiebsen(2), vertex_source(:,3)+vertex_verschiebsen(3) ];
%Empf an richtige Stelle schieben
vertex_verschiebempf=[xe-Lx/2 ye ze];
vertex_empf=[vertex_source(:,1)+vertex_verschiebempf(1), vertex_source(:,2)+vertex_verschiebempf(2), vertex_source(:,3)+vertex_verschiebempf(3) ];
%darstellen
patch('Vertices',vertex_raum,'Faces',face_matrix, 'FaceColor', 'none')
patch('Vertices',vertex_sender,'Faces',face_matrix, 'FaceColor', 'r')
patch('Vertices',vertex_empf,'Faces',face_matrix, 'FaceColor', 'g')
xlabel 'Breite', ylabel 'Lnge', zlabel 'Hhe'