function raumplot_st(Lx,Ly,Lz,xs,ys,zs,xsr,ysr,zsr,xe,ye,ze)
%3D-Darstellung eines Schuhkartons
%Ursprung des Koord.syst. fr Darstellung liegt hinten unten i.d.Mitte, fr
%Rechnung hinten unten links.

%Umrechnen der Angaben von xs...ze von % nach m (absolut):
%linker Sender
xsa=Lx/100*xs;
ysa=Ly/100*ys;
zsa=Lz/100*zs;
%rechter Sender
xsra=Lx/100*xsr;
ysra=Ly/100*ysr;
zsra=Lz/100*zsr;
%Empfnger
xea=Lx/100*xe;
yea=Ly/100*ye;
zea=Lz/100*ze;
%Raumpunkte
vertex_raum=[Lx/2 0 0; Lx/2 Ly 0; -Lx/2 Ly 0; -Lx/2 0 0; Lx/2 0 Lz; Lx/2 Ly Lz; -Lx/2 Ly Lz; -Lx/2 0 Lz];
%Raumflchen (fr alle)
face_matrix=[4 3 2 1; 1 5 8 4; 1 2 6 5; 2 3 7 6; 3 4 8 7; 5 6 7 8];
Lmax=max([Lx Ly Lz]);
ds=Lmax/100;%Kantenlnge Empfnger/Sender
%Punkte Empfnger-/Sender-Kstchen
vertex_source=[ds/2 -ds/2 -ds/2; ds/2 ds/2 -ds/2; -ds/2 ds/2 -ds/2; -ds/2 -ds/2 ds/2; ds/2 -ds/2 ds/2; ds/2 ds/2 ds/2; -ds/2 ds/2 ds/2; -ds/2 -ds/2 ds/2];
%linken und rechten Sender an richtige Stelle schieben:
%um diesen Vektor muss verschoben werden
vertex_verschieblinks=[xsa-Lx/2 ysa zsa];
vertex_verschiebrechts=[xsra-Lx/2 ysra zsra];
%das Kstchen vertex_source um den Verschieb-Vektor verschieben
vertex_links=[vertex_source(:,1)+vertex_verschieblinks(1), vertex_source(:,2)+vertex_verschieblinks(2), vertex_source(:,3)+vertex_verschieblinks(3) ];
vertex_rechts=[vertex_source(:,1)+vertex_verschiebrechts(1), vertex_source(:,2)+vertex_verschiebrechts(2), vertex_source(:,3)+vertex_verschiebrechts(3) ];
%Empf an richtige Stelle schieben
vertex_verschiebempf=[xea-Lx/2 yea zea];
vertex_empf=[vertex_source(:,1)+vertex_verschiebempf(1), vertex_source(:,2)+vertex_verschiebempf(2), vertex_source(:,3)+vertex_verschiebempf(3) ];
%darstellen:
set(gca,'DataAspectRatio',[1 1 1])
%Raum
patch('Vertices',vertex_raum,'Faces',face_matrix, 'FaceColor', 'none')
%linker Sender
patch('Vertices',vertex_links,'Faces',face_matrix, 'FaceColor', 'r')
%recher Sender
patch('Vertices',vertex_rechts,'Faces',face_matrix, 'FaceColor', 'r')
%Empfnger
patch('Vertices',vertex_empf,'Faces',face_matrix, 'FaceColor', 'g')
xlabel 'Breite', ylabel 'Lnge', zlabel 'Hhe'