function ausg=daempfmatrix(Lx, Ly, Lz, ax0_, axL_, ay0_, ayL_, az0_, azL_, kx, ky, kz)
% erstellt eine Matrix mit den Frequenzen der Raumresonanzen, den
% Ordnungszahlen der Moden und der Dmpfung der Resonanz 
% bis zum Modus kx,ky,kz
N=kx*ky*kz; %Anzahl der Moden 
zaehl=0;
resonanzen=zeros(5,N); %in der ersten bis dritten Zeile steht die Ordnungszahl des Modus, 
% in der vierten Zeile die Frequenz, in der fnften
% die Dmpfung
Lx; Ly; Lz;
for l=0:kx
    for m=0:ky
        for n=0:kz
            zaehl=zaehl+1;
            resonanzen(1,zaehl)=l;
            resonanzen(2,zaehl)=m;
            resonanzen(3,zaehl)=n;
            fres=fxyz(Lx,Ly,Lz,l,m,n);
            resonanzen(4,zaehl)=fres;
            resonanzen(5,zaehl)=1/deltaxyz(l,m,n,ax0_,axL_,ay0_,ayL_,az0_,azL_,Lx,Ly,Lz,fres);
        end
    end
end
frequenzen=resonanzen(4,:);
daempfung=resonanzen(5,:);
figure
stem(frequenzen,daempfung)
xlabel('f [1/s]'); ylabel('Dmpfung-Kehrwert 1/delta [s]')
ausg=resonanzen;